Package org.sunflow.system

## Enum UI.Module

- java.lang.Object
- - java.lang.Enum<UI.Module>
  - - org.sunflow.system.UI.Module

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UI.Module>`
  Enclosing class:
    UI

      public static enum UI.Module
      extends java.lang.Enum<UI.Module>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACCEL` |
    `API` |
    `BCKT` |
    `BENCH` |
    `CAM` |
    `DISP` |
    `GEOM` |
    `GUI` |
    `HAIR` |
    `IMG` |
    `IPR` |
    `LIGHT` |
    `QMC` |
    `SCENE` |
    `SYS` |
    `TEX` |
    `USER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UI.Module` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UI.Module[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### API

          public static final UI.Module API

    - #### GEOM

          public static final UI.Module GEOM

    - #### HAIR

          public static final UI.Module HAIR

    - #### ACCEL

          public static final UI.Module ACCEL

    - #### BCKT

          public static final UI.Module BCKT

    - #### IPR

          public static final UI.Module IPR

    - #### LIGHT

          public static final UI.Module LIGHT

    - #### GUI

          public static final UI.Module GUI

    - #### SCENE

          public static final UI.Module SCENE

    - #### BENCH

          public static final UI.Module BENCH

    - #### TEX

          public static final UI.Module TEX

    - #### IMG

          public static final UI.Module IMG

    - #### DISP

          public static final UI.Module DISP

    - #### QMC

          public static final UI.Module QMC

    - #### SYS

          public static final UI.Module SYS

    - #### USER

          public static final UI.Module USER

    - #### CAM

          public static final UI.Module CAM

  - ### Method Detail

    - #### values

          public static UI.Module[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UI.Module c : UI.Module.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UI.Module valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null